Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class StepStreamGraph

    java.lang.Object
      cascading.flow.stream.StreamGraph
          cascading.flow.stream.StepStreamGraph

Direct Known Subclasses:
  HadoopMapStreamGraph, HadoopReduceStreamGraph, LocalStepStreamGraph

    public abstract class StepStreamGraph

extends StreamGraph

Field Summary
`protected FlowProcess` | `flowProcess`
`protected BaseFlowStep` | `step`

Fields inherited from class cascading.flow.stream.StreamGraph
`DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

Constructor Summary
`StepStreamGraph(FlowProcess flowProcess, BaseFlowStep step)`

Method Summary
`protected MemoryCoGroupGate` | `createBlockingJoinGate(HashJoin join)`
`protected abstract Gate` | `createCoGroupGate(CoGroup element)`
`protected abstract Gate` | `createGroupByGate(GroupBy element)`
`protected Gate` | `createHashJoinGate(HashJoin join)`
`protected Duct` | `createMergeStage(Merge merge)`
`protected MemoryHashJoinGate` | `createNonBlockingJoinGate(HashJoin join)`
`protected SinkStage` | `createSinkStage(Tap element)`
`protected Duct` | `findExisting(Duct current)`
`protected Object` | `getProperty(String name)`
`protected void` | `handleDuct(FlowElement lhsElement, Duct lhsDuct)`
`protected void` | `setScopes()`
`protected void` | `setTraps()`
`protected abstract boolean` | `stopOnElement(FlowElement lhsElement, List<FlowElement> successors)`

Methods inherited from class cascading.flow.stream.StreamGraph
`addHead, addPath, addPath, addTail, asPathList, bind, cleanup, countAllEventingPathsTo, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printGraph, printGraph, printGraphError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowProcess

    protected FlowProcess flowProcess

### step

    protected final BaseFlowStep step

Constructor Detail

### StepStreamGraph

    public StepStreamGraph(FlowProcess flowProcess,
                           BaseFlowStep step)

Method Detail

### getProperty

    protected Object getProperty(String name)

  Overrides:
    `getProperty` in class `StreamGraph`

### handleDuct

    protected void handleDuct(FlowElement lhsElement,
                              Duct lhsDuct)

### stopOnElement

    protected abstract boolean stopOnElement(FlowElement lhsElement,
                                             List<FlowElement> successors)

### createSinkStage

    protected SinkStage createSinkStage(Tap element)

### createCoGroupGate

    protected abstract Gate createCoGroupGate(CoGroup element)

### createGroupByGate

    protected abstract Gate createGroupByGate(GroupBy element)

### createMergeStage

    protected Duct createMergeStage(Merge merge)

### createHashJoinGate

    protected Gate createHashJoinGate(HashJoin join)

### createNonBlockingJoinGate

    protected MemoryHashJoinGate createNonBlockingJoinGate(HashJoin join)

### createBlockingJoinGate

    protected MemoryCoGroupGate createBlockingJoinGate(HashJoin join)

### findExisting

    protected Duct findExisting(Duct current)

### setTraps

    protected void setTraps()

### setScopes

    protected void setScopes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.